Referrals

Get invited users accepted stats

get
/v1/referral-progress

Retrieves the current users invited by a referral and the ones from the last time they were fetched, along with reward images containing the tier and URL information. This allows comparing the previously seen data with the current one. This endpoint requires Signed Fetch authentication.

Authorizations
AuthorizationstringRequired

Signed Fetch authentication. See ADR-44 for more details about the authentication mechanism.

Responses
chevron-right
200

Referral statistics found

application/json
get
/v1/referral-progress

Create referral progress

post
/v1/referral-progress

Creates a referral relationship between a referrer and an invited user. This endpoint requires Signed Fetch authentication. The authenticated user becomes the "invited" user, and the referrer address is provided in the request body. This should be called when a user follows a referral link.

Authorizations
AuthorizationstringRequired

Signed Fetch authentication. See ADR-44 for more details about the authentication mechanism.

Body
referrerstringRequired

ETH address of the referrer

Responses
post
/v1/referral-progress

No content

Update referral signed up status

patch
/v1/referral-progress

Updates the referral progress status to signed up for the authenticated user. This endpoint requires Signed Fetch authentication.

Authorizations
AuthorizationstringRequired

Signed Fetch authentication. See ADR-44 for more details about the authentication mechanism.

Responses
patch
/v1/referral-progress

No content

Add referral email

post
/v1/referral-email

Associates an email address with a referral for the authenticated user. This endpoint requires Signed Fetch authentication.

Authorizations
AuthorizationstringRequired

Signed Fetch authentication. See ADR-44 for more details about the authentication mechanism.

Body
emailstring · emailRequired

Email address to associate with the referral

Responses
post
/v1/referral-email

No content

Last updated